> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/flex-metal-usage-1.md).

# Flex Metal Usage

Fetch FlexMetal server(s) usage.

## GET /v3/flexMetal/usage

> Retrieve a list of FlexMetal server usages

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"FlexMetalUsage","description":"Fetch FlexMetal server(s) usage."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"FlexMetalUsage":{"type":"object","required":["server","startedAt","endedAt","totalHours","totalMinutes","bandwidthIn"],"properties":{"server":{"allOf":[{"$ref":"#/components/schemas/FlexMetalServer"}],"description":"FlexMetal server."},"startedAt":{"type":"string","format":"date-time","description":"Usage tracking starts."},"endedAt":{"type":"string","format":"date-time","description":"Usage tracking ends."},"totalHours":{"type":"integer","format":"integer","description":"Total hours of usage."},"totalMinutes":{"type":"integer","format":"integer","description":"Total minutes of usage."},"bandwidthIn":{"type":"integer","format":"integer","description":"Total bandwidth out."}},"additionalProperties":false},"FlexMetalServer":{"type":"object","required":["uuid","name","status","statusMessage","location","instanceType","os","ipAddresses","tags","createdAt","deliveredAt","releasedAt","contractId"],"properties":{"uuid":{"type":"string","format":"","description":"Server UUID.","readOnly":true},"name":{"type":"string","format":"","description":"Server host name."},"status":{"type":"string","format":"","description":"Server delivery status.<br /><li><ul>created</ul><ul>discovering</ul><ul>discovered</ul><ul>allocating</ul><ul>allocated</ul><ul>configuring_network</ul><ul>network_configured</ul><ul>provisioning</ul><ul>provisioned</ul><ul>delivered</ul><ul>failed</ul><ul>releasing</ul><ul>released</ul></li>","readOnly":true},"statusMessage":{"type":"string","format":"","description":"Status message.","readOnly":true},"location":{"allOf":[{"$ref":"#/components/schemas/FlexMetalLocationPartial"}],"description":"Server location.","readOnly":true},"instanceType":{"allOf":[{"$ref":"#/components/schemas/FlexMetalInstanceTypePartial"}],"description":"Server instance type.","readOnly":true},"os":{"allOf":[{"$ref":"#/components/schemas/FlexMetalOperatingSystemResponse"}],"description":"Server operating system.","readOnly":true},"ipAddresses":{"type":"array","items":{"$ref":"#/components/schemas/FlexMetalServerIpAddress"},"description":"Server IP address details.","readOnly":true},"tags":{"type":"array","items":{"type":"string","format":""},"description":"Server tags.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"Server creation timestamp.","readOnly":true},"deliveredAt":{"type":"integer","format":"integer","description":"Server delivery timestamp.","readOnly":true},"releasedAt":{"type":"integer","format":"integer","description":"Server release timestamp.","readOnly":true},"contractId":{"type":"string","format":"","description":"Represents client contractId.","readOnly":true}},"additionalProperties":false},"FlexMetalLocationPartial":{"type":"object","required":["id","name"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the location","readOnly":true},"name":{"type":"string","format":"","description":"Name of the location","readOnly":true}},"additionalProperties":false},"FlexMetalInstanceTypePartial":{"type":"object","required":["id","name"],"properties":{"id":{"type":"integer","format":"integer","description":"Instance type ID","readOnly":true},"name":{"type":"string","format":"","description":"Instance type name","readOnly":true}},"additionalProperties":false},"FlexMetalOperatingSystemResponse":{"type":"object","required":["slug"],"properties":{"slug":{"type":"string","format":"","description":"Identifier of the OS. Available operating systems can be obtained from /v3/operatingsystem. Use the `slug` field from the response."}},"additionalProperties":false},"FlexMetalServerIpAddress":{"type":"object","required":["ipAddress"],"properties":{"ipAddress":{"type":"string","format":"","description":"Server IP address.","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/flexMetal/usage":{"get":{"tags":["FlexMetalUsage"],"summary":"Retrieve a list of FlexMetal server usages","operationId":"getFlexMetalUsages","parameters":[{"name":"startDate","in":"query","description":"Must be a valid date string. E.g. YYYY-MM-DD.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"Must be a valid date string. E.g. YYYY-MM-DD.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FlexMetalUsage"}}}}},"403":{"description":"Forbidden"},"405":{"description":"Method Not Allowed"},"422":{"description":"Unprocessable Content"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/api-references/general/flex-metal-usage-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
